### Namespace

# Lasem – 0.6

The Lasem Mathml and SVG Rendering Library

Version | 0.6.0
Authors | Lasem Project Team
License | LGPL-2.1-or-later
Website | https://github.com/LasemProject/lasem
Source | https://github.com/LasemProject/lasem

#### Build

pkg-config files | `lasem`

#### Dependencies

GLib—2.0 | Portable utility library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Overview
- Installation
- Classes Hierarchy

#### Classes

DomCharacterData |
DomDocument |
DomDocumentFragment |
DomElement |
DomNamedNodeMap |
DomNode |
DomNodeList |
DomText |
DomView |

#### Structs

Attribute |
AttributeInfos |
AttributeManager |
Box |
DebugCategory |
Extents |
Property |
PropertyBag |
PropertyInfos |
PropertyManager |
TraitClass |

#### Aliases

Trait |

#### Enumerations

DebugLevel |
DomNodeType |

#### Callbacks

DomDocumentCreateFunction |

#### Functions

cairo_box_device_to_user |
cairo_box_user_to_device |
cairo_elliptical_arc |
cairo_emit_svg_path |
cairo_horizontal |
cairo_quadratic_curve_to |
cairo_rel_elliptical_arc |
cairo_rel_horizontal |
cairo_rel_quadratic_curve_to |
cairo_rel_vertical |
cairo_set_source_pixbuf | Sets the given pixbuf as the source pattern for `cairo`. since: 0.4
cairo_vertical |
debug |
debug_check |
debug_enable |
dom_get_entity |
dom_implementation_cleanup |
dom_implementation_create_document |
enum_value_from_string |
g_string_free_and_steal |
itex_free_mathml_buffer | Free the buffer returned by `lsm_itex_to_mathml`.
itex_to_mathml | Converts an itex string to a Mathml representation.
log |
shutdown |
str_is_uri |
str_parse_double |
str_parse_double_list |
str_point_list_exents |
str_to_uri |
warning |

#### Function Macros

debug_dom |
debug_measure |
debug_render |
debug_update |
log_dom |
log_measure |
log_render |
log_update |
PROPERTY_ID_TO_OFFSET |
PROPERTY_OFFSET_TO_ID |
warning_dom |
warning_measure |
warning_render |
warning_update |

#### Constants

DOM_VIEW_DEFAULT_RESOLUTION |
DOM_VIEW_DEFAULT_VIEWBOX_HEIGHT |
DOM_VIEW_DEFAULT_VIEWBOX_WIDTH |